Subject: [Sigtran] [m3ua]-AS-SG

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Fri, 28 Feb 2003 03:06:02 -0600 (CST)

Hi,

section 5.4.1.1.1

...
- Determine the correct association to the chosen SGP;

I have interpreted this statement as below.

1)ASP is selecting the correct association to the chosen SGP when SGP is
  a member of more than one SG.

 +----+   ASSOC-1
 | SG1|----------+
 +----+          |
                 |     +-----+     
 +----+  ASSOC-2 +-----|     |------ +-----+ 
 | SG2|----------------| SGP1|------ | ASP1| 
 +----+          +-----|     |------ +-----+      
                 |     +-----+     
 +----+  ASSOC-3 |
 | SG3|----------+
 +----+

In this case SGP1 will have 3 IP addresses to have 3 SCTP associations
with ASP1.When ASP1 wants to send a message to SG3 then ASP will select
ASSOC-3.

 Will the below diagram be possible?
(i think it is not possible)

  PC1
 +----+  
 | SG1|----------+
 +----+          |
  PC2            |     +-----+
 +----+          +-----|     |       +-----+
 | SG2|----------------| SGP1|------ | ASP1|
 +----+          +-----|     |       +-----+
  PC3            |     +-----+
 +----+          |
 | SG3|----------+
 +----+   

This diagram is wrong because ASP1 may not be able intstrcut SGP1 to send
a message to a particular SG.

Can SGP1 use PC (which is inside routing lable) to dintinguish SGs?

2)ASP is selecting the correct association to the chosen SGP when SGP is
  a member of single SG.

    SG1
 +-------+
 |+-----+|  ASSOC-1
 || SGP1||---------+
 |+-----+|         |
 |       |         |          +------+
 |+-----+| ASSOC-2 +----------|      | 
 || SGP2||--------------------| ASP1 |
 |+-----+|         +----------|      | 
 |       |         |          +------+     
 |+-----+|ASSOC-3  |
 || SG3 ||---------+
 |+-----+|
 +-------+

Are my interpretations all correct ?

 --Samuel

  Alcatel USA, Inc.                  Internet: <userid>@ssd.usa.alcatel.com
  1000 Coit Road, Plano, Texas 75075
  ******* The opinions expressed are not those of Alcatel USA, Inc. *******

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 28 Feb 2003 02:55:11 -0700

Samuel,

See Figure 5 - Physical Model on Page 115 of RFC 3332.

--brian

Samuel Dur D. Jeyaseelan wrote:                                                     (Fri, 28 Feb 2003 03:06:02)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/